## net.sourceforge.pmd.dfa.report
Class ViolationNode

    java.lang.Object
      net.sourceforge.pmd.dfa.report.AbstractReportNode
          net.sourceforge.pmd.dfa.report.ViolationNode

public class ViolationNode
extends AbstractReportNode

Constructor Summary
`ViolationNode(IRuleViolation violation)`

Method Summary
`boolean` `equalsNode(AbstractReportNode arg0)` Should compare to nodes of the tree.
`IRuleViolation` `getRuleViolation()`

Methods inherited from class net.sourceforge.pmd.dfa.report.AbstractReportNode
`accept, add, addFirst, addNumberOfViolation, childrenAccept, getChildAt, getChildCount, getFirstChild, getNextSibling, getNumberOfViolations, getParent, isLeaf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViolationNode

    public ViolationNode(IRuleViolation violation)

Method Detail

### getRuleViolation

    public IRuleViolation getRuleViolation()

### equalsNode

    public boolean equalsNode(AbstractReportNode arg0)

  Description copied from class: `AbstractReportNode`
  Should compare to nodes of the tree.

  Specified by:
    `equalsNode` in class `AbstractReportNode`

Copyright © 2002-2006 InfoEther. All Rights Reserved.